Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Interface ServiceReferenceResourceProvider

All Known Implementing Classes:
  `PrototypeServiceReferenceResourceProvider`, `SingletonServiceReferenceResourceProvider`

    public interface ServiceReferenceResourceProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.aries.component.dsl.CachingServiceReference<?>` `getImmutableServiceReference()`

### Method Detail

#### getImmutableServiceReference

    org.apache.aries.component.dsl.CachingServiceReference<?> getImmutableServiceReference()